(function ($, Drupal, drupalSettings, once) {
  Drupal.behaviors.summaryLoader = {
    attach(context, settings) {
      const $summary = $(once('summaryLoader', '#summary-placeholder', context));
      $summary.each(function () {
        $.ajax({
          url: Drupal.url('vais/summary/ajax'),
          type: 'POST',
          data: {
            prompt: drupalSettings.vaisPrompt,
            llm: drupalSettings.llm
          },
          success: function (data) {
            $('#summary-placeholder').html(data.summary);
          },
          error: function () {
            $('#summary-placeholder').html('Failed to load summary.');
          }
        });
      });
    }
  };
})(jQuery, Drupal, drupalSettings, once);
